Modify

#960 closed enhancement (fixed)

Allow more than 2-digit message ID on Twitter/Identi.ca

Reported by: sergiosdj@… Owned by:
Priority: normal Milestone:
Component: Twitter Version: 3.0.5
Keywords: ID, message, length Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro: Fedora 16

Description

If one follows many users on Twitter/Identi.ca, the ID's associated with each message (which can be used to reply/retweet that message later) gets incremented very fast, making it very hard to use that ID if the user has gone away for some time.

I would like to know if there is a way to actually turn that ID into a 3 or maybe N-digit number, allowing more context to be preserved in the session.

Attachments (1)

bitlbee-twitter-message-ids.patch (6.3 KB) - added by sergiosdj@… at 2012-05-18T18:48:55Z.
Possible fix for the issue.

Download all attachments as: .zip

Change History (4)

comment:1 Changed at 2012-05-17T21:44:17Z by lkraav <leho@…>

Might be a point to this

Changed at 2012-05-18T18:48:55Z by sergiosdj@…

Possible fix for the issue.

comment:2 Changed at 2012-05-18T19:04:25Z by ivansichfreitas@…

+1, this would be great to answer "old" tweets, specially with long timelines.

comment:3 Changed at 2012-12-07T00:05:24Z by wilmer

Resolution: fixed
Status: newclosed

Closing this one in favour of #996. This bug has been fixed in the JSON branch, which will be merged and release fairly soon.

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.